[git] GPGME - branch, master, updated. gpgme-1.8.0-37-ga98951a

by Andre Heinecke cvs at cvs.gnupg.org
Wed Jan 25 14:16:29 CET 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG Made Easy".

The branch, master has been updated
       via  a98951a30a6ae603ffac4ec8c5168aa6d1019933 (commit)
      from  6f02133bb07726afa6950e5b4685e75621276e60 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a98951a30a6ae603ffac4ec8c5168aa6d1019933
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Wed Jan 25 14:10:18 2017 +0100

    tests: Use --debug-quick-random for tests
    
    * tests/start-stop-agent: Don't autostart agent on --stop and
    running check. Use --debug-quick-random when starting.
    
    --
    This should speed up the tests especially on low entropy systems.
    Possibly fixing a hang on pythons op_genkey test in the Launchpad
    build enviorment (see launchpad issue 1655298)

diff --git a/tests/start-stop-agent b/tests/start-stop-agent
index ab47d8d..e843ce5 100755
--- a/tests/start-stop-agent
+++ b/tests/start-stop-agent
@@ -15,11 +15,12 @@ fi
 
 GPG_AGENT_INFO=
 export GPG_AGENT_INFO
+GPG_AGENT=$(which gpg-agent)
 
 token=$(echo "gpgme-$(pwd)" | tr ' ' '_')
 
 if [ "$1" = "--stop" ]; then
-  if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+  if [ "$(gpg-connect-agent --no-autostart getval\ $token /bye 2>/dev/null | head -1)" \
         != "D set" ]; then
     echo "gpg-agent not running" >&2
     exit 0
@@ -29,15 +30,16 @@ if [ "$1" = "--stop" ]; then
   exit 0
 fi
 
-if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+if [ "$(gpg-connect-agent --no-autostart getval\ $token /bye 2>/dev/null | head -1)" \
       = "D set" ]; then
   echo "gpg-agent already running" >&2
   exit 0
 fi
 
-echo "starting gpg-agent " >&2
-gpg-connect-agent putval\ $token\ set /bye >/dev/null 2>&1
-if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+echo "starting gpg-agent.." >&2
+
+gpg-connect-agent --agent-program="${GPG_AGENT}|--debug-quick-random" putval\ $token\ set /bye
+if [ $? -ne 0 -o "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
       != "D set" ]; then
   echo "error starting gpg-agent" >&2
   exit 1

-----------------------------------------------------------------------

Summary of changes:
 tests/start-stop-agent | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


hooks/post-receive
-- 
GnuPG Made Easy
http://git.gnupg.org




More information about the Gnupg-commits mailing list